package com.artfess.cqlt.manager;

import com.artfess.cqlt.model.QfFinanceLoanD;
import com.artfess.cqlt.model.QfFinanceLoanM;
import com.artfess.base.manager.BaseManager;
import com.artfess.poi.util.HeaderNode;

import java.util.List;

/**
 * 资金--贷款填报主表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-03-02
 */
public interface QfFinanceLoanMManager extends BaseManager<QfFinanceLoanM> {

    boolean insertInfo(QfFinanceLoanM t);

    boolean updateInfo(QfFinanceLoanM t);

    boolean updateStatus(QfFinanceLoanM t);

    boolean importExcel(List<QfFinanceLoanD> list, String mainId);
}
